package main

import (
	"fmt"

	"gorm.io/driver/mysql"
	"gorm.io/gorm"
)

const (
	USERNAME     = "root"
	PASSWD       = "oppofindx2"
	DATABASENAME = "Class"
)

func main() {
	dsn := fmt.Sprintf("%s:%s@tcp(127.0.0.1:3306)/%s?charset=utf8mb4&parseTime=True&loc=Local", USERNAME, PASSWD, DATABASENAME)
	db := mysql.Open(dsn)
	print(db)
}

type User struct {
	gorm.Model
	Name string
	Age  int
}
